package com.miya.huihua.microservicebase.mq;

import com.aliyun.openservices.ons.api.SendCallback;

/**
 * @author zhouxu
 * @createTime 2020/01/17
 */
public interface AliProducer {

    /**
     * 发送普通消息
     *
     * @param topic
     * @param o
     * @param tags  为空发送*消息
     */
    void putEvent(String topic, Object o, String... tags);

    /**
     * 发送异步消息
     *
     * @param topic
     * @param o
     * @param sendCallback
     * @param tags         为空发送*消息
     */
    void putAsyncEvent(String topic, Object o, SendCallback sendCallback, String... tags);

}
